cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle 12C upgrade

0 Kudos

Hello Everyone,

I am performing oracle 12C upgrade from oracle 10.2.0.5.0. I am following the snotes 1915317 & 1983457. As per the note 1983457, I have generated config clone scripts. While executing script "config04_clone_oh.sh" I am getting following error.

DESCRIPTION: This script runs the clone command (clone.pl) for the Oracle home.

Cloning Oracle home /oracle/CRP/102_64

./config04_clone_oh.sh[71]: /oracle/CRP/102_64/clone/bin/clone.pl:  not found.

OUI finished with return code 127

i have checked and found that, the file clone.pl exists in this location and I have set the all permission properly, but still I am getting the error. Please can anyone help me to resolve this?

Regards,

Zahir Hussain

Accepted Solutions (1)

Accepted Solutions (1)

Former Member

Hello,

Can you check the following:

- Display the first line of the clone.pl script. this line will probably start with "#!" followed by the path of the "perl" executable, which is responseible for running the script.

- Verify that the path to "perl" is correct. If not, locate "perl" on your server (most UNIX/Linux servers contain a Perl version by default) and adapt the top line of "clone.pl" accordingly.

Regards,

Mark

0 Kudos

Hi Mark,

Thanks for the solution. perl executable were not present the in /usr/local/bin/perl.  It was located in /usr/bin/perl. we have created soft link for that location and now issue has been resolved.


Regards,

Zahir HUssain

Answers (1)

Answers (1)

JamesZ
Advisor
Advisor
0 Kudos

Hi Zahir ,


Can you show me the permission you set?

Also can you attach the config04_clone_oh.sh file?

Best regards,

James Zhang
SAP Active Global Support

0 Kudos

Hi James,

Below is the permission set for clone.pl file.

-rwxrwxrwx    1 oracle   oinstall       8689 Jul 13 2005  /oracle/CRP/102_64/clone/bin/clone.pl

PFB content of onfig04_clone_oh.sh file.

#!/bin/sh

############################################################

# Name         : clone04_clone_oh.sh

# Description  : Clone Oracle Home

# Generated by : clone_oh.sh

#                Version 1.7 PL 005 2015-01-19

# Date/time    : 2015_08_27 17:23:00

############################################################

############################################################

# Begin                                                    #

############################################################

echo

echo "DESCRIPTION: This script runs the clone command (clone.pl) for the Oracle home."

echo

#  +----------------------------+------------------------------+

#  | Variable                   | Description                  |

#  +----------------------------+------------------------------+

#  | O_ORACLE_HOME              | Orig  Oracle Home            |

#  | C_ORACLE_HOME              | Clone Oracle Home            |

#  | C_ORACLE_BASE              | Clone Oracle Base            |

#  | C_ORACLE_HOME_NAME         | Clone Oracle Home Name       |

#  | C_ORACLE_OSDBA_GROUP       | Clone OSDBA Group Name       |

#  | C_ORACLE_OSOPER_GROUP      | Clone OSOPER Group Name      |

#  | C_ORACLE_OSBACKUPDBA_GROUP | Clone OSBACKUPDBA Group Name |

#  | C_ORACLE_OSDGDBA_GROUP     | Clone OSDGDBA Group Name     |

#  | C_ORACLE_OSKMDBA_GROUP     | Clone OSKMDBA Group Name     |

#  | C_ORACLE_SWOWNER           | Clone Software Owner         |

#  | C_ORACLE_SWOWNER_GROUP     | Clone Software Owner Group   |

#  | C_ORACLE_INVPTRLOC         | Location of oraInst.loc      |

#  +----------------------------+------------------------------+

############################################################

#  Set Oracle Environment

############################################################

O_ORACLE_HOME=/oracle/CRP/102_64 ; export O_ORACLE_HOME

C_ORACLE_HOME=/oracle/CRP/102_64_CL ; export C_ORACLE_HOME

C_ORACLE_HOME_NAME=cloned ; export C_ORACLE_HOME_NAME

C_ORACLE_BASE=/oracle ; export C_ORACLE_BASE

C_ORACLE_SWOWNER=oracle ; export C_ORACLE_SWOWNER

C_ORACLE_SWOWNER_GROUP=oinstall ; export C_ORACLE_SWOWNER_GROUP

C_ORACLE_RELEASE=10.2.0.5 ; export C_ORACLE_RELEASE

C_ORACLE_OSDBA_GROUP=dba ; export C_ORACLE_OSDBA_GROUP

C_ORACLE_RELEASE=10.2.0.5 ; export C_ORACLE_RELEASE

C_ORACLE_OSDBA_GROUP=dba ; export C_ORACLE_OSDBA_GROUP

C_ORACLE_OSOPER_GROUP=oper ; export C_ORACLE_OSOPER_GROUP

C_ORACLE_INVPTRLOC=/etc/oraInst.loc ; export C_ORACLE_INVPTRLOC

SKIP_ROOTPRE=TRUE ; export SKIP_ROOTPRE

############################################################

#  Set OS Environment

############################################################

#  OS Platform

CLONE_RUN_PLT="aix" ; export CLONE_RUN_PLT

#  OS Host

CLONE_RUN_HST="test2" ; export CLONE_RUN_HST

#  OS User

[ -z "$CLONE_RUN_USR" ] && CLONE_RUN_USR="$LOGNAME" ; export CLONE_RUN_USR

[ -z "$CLONE_RUN_USR" ] && CLONE_RUN_USR="$USER"    ; export CLONE_RUN_USR

[ -z "$CLONE_RUN_USR" ] && exit 1

############################################################

#  Environment is set

############################################################

[ "$CLONE_RUN_USR" = "$C_ORACLE_SWOWNER" ] || echo "ERROR: Cloning must be performed as the software owner '$C_ORACLE_SWOWNER'."

[ "$CLONE_RUN_USR" = "$C_ORACLE_SWOWNER" ] || exit 1

############################################################

#  Change directory to target Oracle home

############################################################

cd $C_ORACLE_HOME/clone/bin

[ -x $C_ORACLE_HOME/clone/bin/clone.pl ] || chmod u+x $C_ORACLE_HOME/clone/bin/clone.pl

[ -x $C_ORACLE_HOME/clone/bin/clone.pl ] || echo "ERROR: $C_ORACLE_HOME/clone/bin/clone.pl cannot be executed - check permissions and execute bits."

[ -x $C_ORACLE_HOME/clone/bin/clone.pl ] || exit 1

############################################################

#  Clone Oracle home

############################################################

echo Cloning Oracle home $C_ORACLE_HOME

$C_ORACLE_HOME/clone/bin/clone.pl -invPtrLoc /etc/oraInst.loc ORACLE_BASE=$C_ORACLE_BASE ORACLE_HOME=$C_ORACLE_HOME ORACLE_HOME_NAME=$C_ORACLE_HOME_NAME oracle_install_

OSDBA=$C_ORACLE_OSDBA_GROUP oracle_install_OSOPER=$C_ORACLE_OSOPER_GROUP oracle_install_OSBACKUPDBA=$C_ORACLE_OSBACKUPDBA_GROUP oracle_install_OSDGDBA=$C_ORACLE_OSDGDBA

_GROUP oracle_install_OSKMDBA=$C_ORACLE_OSKMDBA_GROUP oracle.sysman.ccr:PRE_REQUISITE=true

############################################################

#  Check return code of OUI cloning

############################################################

oui_rc=$?

[ ${oui_rc} -gt 127 ] && oui_rc=` expr $oui_rc - 256 `

echo OUI finished with return code $oui_rc

############################################################

#  Files with reference to Clone Source Oracle Home can now be deleted.

#  These files have been regenerated during cloning.

############################################################

[ -f $C_ORACLE_HOME/deinstall/deinstall.CLONESRC_ORIG ] && rm -f $C_ORACLE_HOME/deinstall/deinstall.CLONESRC_ORIG

[ -f $C_ORACLE_HOME/oui/bin/attachHome.sh.CLONESRC_ORIG ] && rm -f $C_ORACLE_HOME/oui/bin/attachHome.sh.CLONESRC_ORIG

[ -f $C_ORACLE_HOME/oui/bin/detachHome.sh.CLONESRC_ORIG ] && rm -f $C_ORACLE_HOME/oui/bin/detachHome.sh.CLONESRC_ORIG

[ -f $C_ORACLE_HOME/oui/bin/runInstaller.sh.CLONESRC_ORIG ] && rm -f $C_ORACLE_HOME/oui/bin/runInstaller.sh.CLONESRC_ORIG

[ -f $C_ORACLE_HOME/bin/dbua.CLONESRC_ORIG ] && rm -f $C_ORACLE_HOME/bin/dbua.CLONESRC_ORIG

[ -f $C_ORACLE_HOME/bin/dbca.CLONESRC_ORIG ] && rm -f $C_ORACLE_HOME/bin/dbca.CLONESRC_ORIG

[ -f $C_ORACLE_HOME/bin/oracle.CLONESRC_ORIG ] && rm -f $C_ORACLE_HOME/bin/oracle.CLONESRC_ORIG

############################################################

# End                                                      #

############################################################

JamesZ
Advisor
Advisor
0 Kudos

In that case, I think maybe the problem is oracle user does not have read permission for the parent

folder of /oracle/CRP/102_64/clone/bin/clone.pl. You may check them accordingly.

0 Kudos

Hi James,

Oracle user is having full permission to this directory.

Regards,

Zahir Hussain